ApplicationSet Service
ApplicationSet Service API performs CRUD actions against applicationset resources.Service Definition
Package:applicationset
Service: ApplicationSetService
The ApplicationSetService manages ApplicationSets, which generate multiple Argo CD applications from a single template.
RPC Methods
Get
Returns an applicationset by name. Request:ApplicationSetGetQuery
string
required
The ApplicationSet’s name
string
The ApplicationSet namespace. Default empty is argocd control plane namespace
ApplicationSet
REST Endpoint: GET /api/v1/applicationsets/{name}
List
Returns list of applicationsets. Request:ApplicationSetListQuery
string[]
The project names to restrict returned list applicationsets
string
The selector to restrict returned list to applicationsets only with matched labels
string
The ApplicationSet namespace. Default empty is argocd control plane namespace
ApplicationSetList
REST Endpoint: GET /api/v1/applicationsets
Create
Creates an applicationset. Request:ApplicationSetCreateRequest
ApplicationSet
required
The ApplicationSet to create
bool
Whether to create or update the ApplicationSet if it already exists
bool
Whether to perform a dry run
ApplicationSet
REST Endpoint: POST /api/v1/applicationsets
Delete
Deletes an applicationset. Request:ApplicationSetDeleteRequest
string
required
The ApplicationSet’s name
string
The ApplicationSet namespace. Default empty is argocd control plane namespace
ApplicationSetResponse
string
The project name
ApplicationSet
The deleted ApplicationSet
DELETE /api/v1/applicationsets/{name}
Generate
Generates applications from an ApplicationSet. Request:ApplicationSetGenerateRequest
ApplicationSet
required
The ApplicationSet to generate applications from
ApplicationSetGenerateResponse
Application[]
The generated applications
POST /api/v1/applicationsets/generate
ResourceTree
Returns resource tree for an ApplicationSet. Request:ApplicationSetTreeQuery
string
required
The ApplicationSet’s name
string
The ApplicationSet namespace. Default empty is argocd control plane namespace
ApplicationSetTree
REST Endpoint: GET /api/v1/applicationsets/{name}/resource-tree
ListResourceEvents
Returns a list of event resources for an ApplicationSet. Request:ApplicationSetGetQuery
string
required
The ApplicationSet’s name
string
The ApplicationSet namespace. Default empty is argocd control plane namespace
EventList
REST Endpoint: GET /api/v1/applicationsets/{name}/events
Watch
Returns stream of applicationset change events. Request:ApplicationSetWatchQuery
string
The ApplicationSet’s name to watch
string[]
The project names to filter by
string
The selector to filter by labels
string
The ApplicationSet namespace
string
When specified with a watch call, shows changes that occur after that particular version of a resource
ApplicationSetWatchEvent
REST Endpoint: GET /api/v1/stream/applicationsets